System.Web 2.0.0.0 System.Web.UI.HtmlControls.HtmlInputText System.Web.UI.SupportsEventValidation System.Web.UI.ValidationProperty("Value") System.ComponentModel.DefaultEvent("ServerChange")

The class is derived from the class and is used to create a single-line text box that allows the user to enter a password. When using the control, the property is posted to the server each time the form is submitted. The property for the control is not persisted in view state.

The property specifies the maximum number of characters that can be entered in the text box. The property allows you to specify the width of the text box. Use the property to determine the value entered in the text box by the user. The control provides a event that is raised when the property changes values between posts to the server. This allows you to create an event handler that performs a custom set of instructions each time the event is raised.

The control does not provide a built-in way to post back to the server. You must provide another control on the Web page that supports posting back to the server, such as an or an control.

For a list of initial property values for an instance of , see the constructor.

Allows programmatic access to the HTML <input type= password> element on the server.

- Constructor

  Use this constructor to create and initialize a new instance of the control using default values. It creates a password type text box control.

  The following table shows the initial property value for an instance of .

  Property

  Initial Value

  The "password" literal string.

  Initializes a new instance of the class using default values.

  2.0.0.0
- Method
  System.Void ``

  The method removes the Value attribute from the view state collection to prevent it from being rendered, and then calls the base class's method.

  Renders the attributes of the control to the specified object.

  The that receives the rendered content. 2.0.0.0
- Method
  2.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void To be added. To be added.